Does not work with Ruby 1.9.3p286 #43

Closed
morgoth opened this Issue Oct 15, 2012 · 1 comment

Comments

Projects
None yet
3 participants

morgoth commented Oct 15, 2012

gem i debugger
Building native extensions.  This could take a while...
ERROR:  Error installing debugger:
    ERROR: Failed to build gem native extension.

        /home/wojtek/.rvm/rubies/ruby-1.9.3-p286/bin/ruby extconf.rb
checking for vm_core.h... no
checking for vm_core.h... no
Makefile creation failed
**************************************************************************
No source for ruby-1.9.3-p286 provided with debugger-ruby_core_source gem.
**************************************************************************
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers.  Check the mkmf.log file for more
details.  You may need configuration options.

Provided configuration options:
    --with-opt-dir
    --with-opt-include
    --without-opt-include=${opt-dir}/include
    --with-opt-lib
    --without-opt-lib=${opt-dir}/lib
    --with-make-prog
    --without-make-prog
    --srcdir=.
    --curdir
    --ruby=/home/wojtek/.rvm/rubies/ruby-1.9.3-p286/bin/ruby
    --with-ruby-dir
    --without-ruby-dir
    --with-ruby-include
    --without-ruby-include=${ruby-dir}/include
    --with-ruby-lib
    --without-ruby-lib=${ruby-dir}/lib

f3r commented Oct 15, 2012

+1

cldwalker closed this in 5c2fb81 Oct 15, 2012

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment